function y = otpor_fluida(h,v,r,rv,rz,d)
A = 2 * r^2 * pi;       %Pola oploja kugle
a = 2 * r * pi * (r - abs(h));     %Oploje djela gornje polovice kugle koji je izronio
    
if (v > 0)
    if (h < -r) y = 0.5 * rv * d * A * (v^2) * sign(v);         %Izraz za otpor fluida za poptuno uronjenu kuglicu    
    elseif (h > 0) y = 0.5 * rz * d * A * (v^2) * sign(v);      %Izraz za otpor fluida kuglicu u zraku
    else  y = 0.5 * rz * d * a * (v^2) * sign(v) + 0.5 * rv * (A - a) * (v^2) * sign(v);      %Izraz za otpor fluida za djelomino uronjenu kuglicu pri izranjanju
    end
elseif (h > r) y = 0.5 * rz * d * A * (v^2) * sign(v);  %Izraz za otpor fluida kuglicu u zraku
elseif (h < 0) y = 0.5 * rv * d * A * (v^2) * sign(v);  %Izraz za otpor fluida za poptuno uronjenu kuglicu    
else y = 0.5 * rv * d * a * (v^2) * sign(v) + 0.5 * rz * (A - a) * (v^2) * sign(v);             %Izraz za otpor fluida za djelomino uronjenu kuglicu pri uranjanju
end